Bug 1154982 - openmpi: fortran modules PATH incorrect
Summary: openmpi: fortran modules PATH incorrect
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openmpi
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-21 08:02 UTC by marcindulak
Modified: 2016-07-19 12:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:15:32 UTC
Type: Bug


Attachments (Terms of Use)

Description marcindulak 2014-10-21 08:02:33 UTC
Description of problem:

According to http://fedoraproject.org/wiki/Packaging:MPI
the "MPI stack specific Fortran" modules should be under
MPI_FORTRAN_MOD_DIR	%{_fmoddir}/%{name}%{?_opt_cc_suffix}/


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. module load mpi/openmpi-x86_64
2. echo $MPI_FORTRAN_MOD_DIR
3.

Actual results:

/usr/lib64/gfortran/modules/openmpi-x86_64

Expected results:

/usr/lib64/gfortran/modules/openmpi

Additional info:

On 32-bit the modules should be under /usr/lib/gfortran/modules/openmpi instead of /usr/lib/gfortran/modules/openmpi-i386. 
The problem is present also on RHEL6 and RHEL7.

Note that for example elpa-openmpi-devel packages it's modules according to the above wiki page.

Comment 1 Susi Lehtola 2015-02-13 20:39:45 UTC
Any progress?

Comment 2 Orion Poplawski 2015-02-13 21:08:33 UTC
I've checked in the fix to 1.8.4-2.  Unfortunately, 1.8.4 fails to build on arm.  Fix is checked in upstream, we're just waiting for 1.8.5 to be released.

Comment 3 Jaroslav Reznik 2015-03-03 17:16:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Joachim Frieben 2015-10-21 17:08:16 UTC
Moreover, module files are actually found under /usr/lib64/openmpi/lib whereas /usr/lib64/gfortran/modules/openmpi is empty.

Comment 5 marcindulak 2015-11-08 14:17:00 UTC
A fix has to backported to EPEL too.
The longer we wait the more spec files need to be fixed.
See also bug #1154991

Comment 6 Orion Poplawski 2015-11-12 19:01:47 UTC
Not EPEL, RHEL.  openmpi is not in EPEL.

Comment 7 marcindulak 2015-12-18 23:33:44 UTC
Yes, that's right.

Comment 8 Fedora Update System 2015-12-30 23:09:43 UTC
openmpi-1.8.8-5.fc23.1 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e819315708

Comment 9 Fedora Update System 2016-01-03 03:24:11 UTC
openmpi-1.8.8-5.fc23.1 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e819315708

Comment 10 Fedora Update System 2016-01-11 11:26:11 UTC
openmpi-1.8.8-5.fc23.1 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora End Of Life 2016-07-19 12:15:32 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.